#include <stdio.h>
#include <stdlib.h>

typedef struct person_ {
    // Hmmmm, not good enough to have fixed name sizes
    char first_name[20];
    char family_name[20];
} person ;

int main() {

    person *p = malloc(10000000000000);
    if (p==NULL) {
        fprintf(stderr, "Failed to allocate memory!\n");
    }

    return 0;
}
